Bug 848947 - Passphrase prompt does not have option to forget password immediately
Passphrase prompt does not have option to forget password immediately
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 18:23 EDT by Cesar Eduardo Barros
Modified: 2015-03-03 18:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 677065
Environment:
Last Closed: 2013-02-13 18:04:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cesar Eduardo Barros 2012-08-16 18:23:09 EDT
+++ This bug was initially created as a clone of Bug #677065 +++

Description of problem:

When typing the passphrase for a gnupg key in the passphrase prompt (which seems to come from /usr/libexec/gnome-keyring-prompt), it does not have an option to forget the passphrase immediately (that is, to be prompted every time the private key is used, even if it comes just after the previous use). The closest it allows is to forget the passphrase after 1 minute (it will not accept 0 minutes, changing back to 1 minute).

Version-Release number of selected component (if applicable):

gnome-keyring-2.32.1-1.fc14.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Encrypt something to your private gnupg key
2. Use gpg2 -d to try to decrypt it, in the default configuration
3. Try to set it to forget after 0 minutes in the prompt which opens
  
Actual results:

The best I can get is to forget the key after 1 minute.

Expected results:

I should be able to, in that dialog box, set the passphrase to be used only once and then immediately forgotten.

Additional info:

The default seems to be to forget only on logout, which is horrible for gnupg keys (it opens a window where the key can be used without the user's knowledge which can last for weeks, or even more if the user does not regularly applies security updates and logs out/reboot after them).

I recall that on previous Fedora releases (Fedora 13 at least) the default was to prompt every time.

--- Additional comment from endoflife@fedoraproject.org on 2012-08-16 12:02:48 EDT ---

This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Cesar Eduardo Barros 2012-08-16 18:25:11 EDT
Still the same on Fedora 16, package gnome-keyring-3.2.1-3.fc16.x86_64.

To reproduce: "gpg2 -c < /dev/null" (from package gnupg2-2.0.18-2.fc16.x86_64).
Comment 2 Fedora End Of Life 2013-01-16 14:03:38 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 18:04:26 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.